%define         hxsysname        %{name}-system
%define         hxfontname       %{name}-fonts
%define         hxgitname        %{name}-git
%define         hxutilsname      %{name}-utils
%define         hxsoundname      %{name}-sound
%define         hxvideoname      %{name}-video
%define         hxextractname    %{name}-extract


Name:           hxtools
Version:        20170430
Release:        %mkrel 1
Summary:        A collection of several multipurpose scripts and tools
License:        GPLv2+
Group:          File tools
URL:            http://inai.de/projects/hxtools/
Source0:        http://inai.de/files/hxtools/hxtools-%{version}.tar.xz
Source1:        http://inai.de/files/hxtools/hxtools-%{version}.tar.asc

BuildRequires:  libHX-devel
BuildRequires:  libcap-devel
BuildRequires:  libmount-devel
BuildRequires:  pciutils-devel
BuildRequires:  libxcb-devel

Requires: mc


%description
A collection of multipurpose scripts and tools by the developper Jan
Engelhardt (http://inai.de) used in other projects.



%package -n %{hxsysname}
License:  LGPLv2+
Summary:  Hxtools scripts and binaries dedicated to system
Group:    System/Configuration
Requires: wdiff
Requires: sudo

%description -n %{hxsysname}
%{summary}.



%package -n %{hxfontname}
License:  GPLv2+
Summary:  Hxtools fonts
Group:    System/Fonts/X11 bitmap 

%description -n %{hxfontname}
%{summary}.


%package -n %{hxgitname}
License:  GPLv2+
Summary:  Hxtools utilities dedicated to git
Group:    Development/Tools
Requires: git
Requires: perl
Requires: less
Requires: coreutils

%description -n %{hxgitname}
%{summary}.




%package -n %{hxutilsname}
License:  GPLv2+
Summary:  The hxtools scripts and tools
Group:    File tools
Requires: perl
Requires: tar
Requires: gzip
Requires: xz
Requires: bzip2
Requires: lzip
Requires: fontforge
Requires: xterm

%description -n %{hxutilsname}
%{summary}.




%package -n %{hxsoundname}
License:  GPLv2+
Summary:  Hxtools scripts and binaries for audio processing
Group:    Sound/Editors and Converters
Requires: perl
Requires: ossp
Requires: TiMidity++

%description -n %{hxsoundname}
%{summary}.


%package -n %{hxvideoname}
License:  GPLv2+
Summary:  Hxtools scripts and binaries for video processing
Group:    Video/Editors and Converters
Requires: perl
Requires: ffmpeg

%description -n %{hxvideoname}
%{summary}.



%package -n %{hxextractname}
License:  GPLv2+
Summary:  Hxtools scripts and binaries for game packaging
Group:    Games/Other 
Requires: perl

%description -n %{hxextractname}
%{summary}.





%prep
%setup -q

%build
%configure2_5x --disable-silent-rules
%make_build

%install
%make_install

#already provided by man
%__rm %{buildroot}/%{_bindir}/man2html
%__rm %{buildroot}/%{_mandir}/man1/man2html.1*

#no corresponding binary
%__rm %{buildroot}/%{_mandir}/man8/xfs_irecover.8*

%files
%doc LICENSE.GPL2 LICENSE.GPL3 LICENSE.WTFPL LICENSES.txt
%config(noreplace) %{_sysconfdir}/hxloginpref.conf
%{_libexecdir}/hxtools/doxygen-kerneldoc-filter
%{_datadir}/hxtools/hx*
%{_mandir}/man7/hxtools.7*



%files -n %{hxsysname}
%{_bindir}/clock_info
%{_bindir}/declone
%{_bindir}/ofl
%{_bindir}/pmap_dirty
%{_bindir}/su1
%{_bindir}/sysinfo
%{_bindir}/xcp
%{_libexecdir}/hxtools/cctypeinfo
%{_libexecdir}/hxtools/fd0ssh
%{_libexecdir}/hxtools/psthreads
%{_libexecdir}/hxtools/logontime
%{_libexecdir}/hxtools/hxnetload
%{_libexecdir}/hxtools/paddrspacesize
%{_libexecdir}/hxtools/printcaps
%{_libexecdir}/hxtools/proc*
%{_libexecdir}/hxtools/utmp_register
%{_mandir}/man1/cctypeinfo.1*
%{_mandir}/man1/clock_info.1*
%{_mandir}/man1/declone.1*
%{_mandir}/man1/fd0ssh.1*
%{_mandir}/man1/ofl.1*
%{_mandir}/man1/psthreads.1*
%{_mandir}/man1/sysinfo.1*
%{_mandir}/man1/xcp.1*
%{_mandir}/man8/hxnetload.8*
%{_mandir}/man8/logontime.8*
%{_mandir}/man8/printcaps.8*
%{_mandir}/man8/utmp_register.8*


%files -n %{hxfontname}
%doc kbd/README
%{_bindir}/clt2bdf
%{_libexecdir}/hxtools/clt2pbm
%{_libexecdir}/hxtools/fnt2bdf
%{_libexecdir}/hxtools/vfontas
%{_xfontdir}/misc/*
%{_datadir}/kbd
%{_datadir}/hxtools/rfc*
%{_mandir}/man1/clt2bdf.1*
%{_mandir}/man1/clt2pbm.1*
%{_mandir}/man1/fnt2bdf.1*
%{_mandir}/man1/vfontas.1*



%files -n %{hxgitname}
%{_bindir}/git-*
%{_bindir}/pesubst
%{_libexecdir}/hxtools/git-blame-stats
%{_libexecdir}/hxtools/git-revert-stats
%{_datadir}/hxtools/gitconfig
%{_mandir}/man1/pesubst.1*
%{_mandir}/man1/git-author-stat.1*
%{_mandir}/man1/git-forest.1*
%{_mandir}/man1/git-revert-stats.1*
%{_mandir}/man1/git-track.1*



%files -n %{hxutilsname}
%{_bindir}/bin2c
%{_bindir}/checkbrack
%{_bindir}/cwdiff
%{_bindir}/fxterm
%{_bindir}/gxxdm
%{_bindir}/qtar
%{_bindir}/qpdecode
%{_bindir}/pegrep
%{_bindir}/rot13
%{_bindir}/spec-beautifier
%{_bindir}/tailhex
%{_bindir}/wktimer
%{_libexecdir}/hxtools/ldif-*
%{_libexecdir}/hxtools/diff2php
%{_libexecdir}/hxtools/mailsplit
%{_libexecdir}/hxtools/peicon
%{_libexecdir}/hxtools/recursive_lower
%{_libexecdir}/hxtools/rezip
%{_libexecdir}/hxtools/sourcefuncsize
%{_libexecdir}/hxtools/vcsaview
%{_mandir}/man1/bin2c.1*
%{_mandir}/man1/checkbrack.1*
%{_mandir}/man1/cwdiff.1*
%{_mandir}/man1/diff2php.1*
%{_mandir}/man1/fxterm.1*
%{_mandir}/man1/ldif-duplicate-attrs.1*
%{_mandir}/man1/mailsplit.1*
%{_mandir}/man1/peicon.1*
%{_mandir}/man1/pegrep.1*
%{_mandir}/man1/qtar.1*
%{_mandir}/man1/rot13.1*
%{_mandir}/man1/recursive_lower.1*
%{_mandir}/man1/rezip.1*
%{_mandir}/man1/spec-beautifier.1*
%{_mandir}/man1/sourcefuncsize.1*
%{_mandir}/man1/tailhex.1*
%{_mandir}/man8/vcsaview.8*
%{_mandir}/man1/wktimer.1*



%files -n %{hxsoundname}
#{_bindir}/googtts
%{_bindir}/aumeta
%{_bindir}/gpsh
%{_bindir}/hcdplay
%{_bindir}/mkvappend
%{_libexecdir}/hxtools/bsvplay
%{_libexecdir}/hxtools/mod2opus
%{_libexecdir}/hxtools/pcmdiff
%{_libexecdir}/hxtools/qplay
%{_mandir}/man1/bsvplay.1*
%{_mandir}/man1/hcdplay.1*
%{_mandir}/man1/mod2opus.1*
%{_mandir}/man1/pcmdiff.1*
%{_mandir}/man1/qplay.1*
%{_mandir}/man1/aumeta.1*



%files -n %{hxvideoname}
%{_bindir}/ssa2srt
%{_libexecdir}/hxtools/stxdb
%{_mandir}/man1/ssa2srt.1*
%{_mandir}/man1/stxdb.1*


%files -n %{hxextractname}
%{_libexecdir}/hxtools/shared.pm
%{_libexecdir}/hxtools/extract_*
%{_mandir}/man1/extract*.1*




%changelog
* Tue May 02 2017 eatdirt <eatdirt> 20170430-1.mga6
+ Revision: 1098462
- Upgrade to version 20170430

* Mon Apr 03 2017 eatdirt <eatdirt> 20170114-1.mga6
+ Revision: 1095792
- Upgrade to latest version 20170114

* Thu Feb 11 2016 umeabot <umeabot> 20150304-2.mga6
+ Revision: 954335
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 eatdirt <eatdirt> 20150304-1.mga6
+ Revision: 884906
- Upgrade to version 20150304

* Thu Jul 30 2015 eatdirt <eatdirt> 20150221-1.mga6
+ Revision: 859098
- Splitting hxtools in subpackages

  + luigiwalser <luigiwalser>
    - imported package hxtools

